Bug 1348954 - ganesha/glusterd : remove 'HA_VOL_SERVER' from ganesha-ha.conf
Summary: ganesha/glusterd : remove 'HA_VOL_SERVER' from ganesha-ha.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: common-ha
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On:
Blocks: 1350371 1351503 1351530
TreeView+ depends on / blocked
 
Reported: 2016-06-22 12:03 UTC by Jiffin
Modified: 2017-03-23 05:37 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Deprecated Functionality
Doc Text:
The HA_VOL_SERVER parameter in the ganesha-ha.conf file is no longer used by Red Hat Gluster Storage.
Clone Of:
: 1350371 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:37:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Jiffin 2016-06-22 12:03:17 UTC
Description of problem:

The 'HA_VOL_SERVER' is not needed anymore for the ganesha-ha setup. It looks confusing for the customer. But  variable was internally used in gluster code.
We also need to remove it from there as well.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Jiffin 2016-09-16 09:58:39 UTC
Patch merged in Upstream http://review.gluster.org/#/c/14812/

Comment 4 Jiffin 2016-09-16 10:04:13 UTC
Downstream patch https://code.engineering.redhat.com/gerrit/#/c/84777/

Comment 5 Jiffin 2016-09-16 12:48:29 UTC
The fix is now available in gluster 3.2 rebase

Comment 8 Arthy Loganathan 2016-11-07 06:42:02 UTC
Verified this bug on RHGS 3.2, nfs-ganesha-2.4.1-1.el7rhgs.x86_64 build.

'HA_VOL_SERVER' is removed from ganesha-ha.conf file.

Comment 14 errata-xmlrpc 2017-03-23 05:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.